<h1>{{title}}</h1>

<!-- variable with # reference -->
<input #phone placeholder="phone number" />
<button (click)="callPhone(phone.value)">Call</button> <br /><br />

<input type="text" name="value" [(ngModel)]="userName">
{{userName}}
<button (click)="sample()">Click Me</button> <br /><br />

<p>2 + 2 = {{ 2 + 2 }}</p>
<p>{{ no + 1 }} </p>
<p>{{getCurrentTime()}}</p>
<button>{{caption | uppercase}}</button>

<p>The hero's birthday is {{ birthday | date:"MM/dd/yy" }} </p>

<p>The hero's birthday is {{ birthday | date:format }}</p>

<p>The demo pipe example {{ 5 | demopipe }}</p>

<button (click)="toggleFormat()">Toggle Format</button>

<ul>
    <li *ngFor="let rdno of randomNo">{{rdno}}</li>
</ul>